Integrate API
Home
Company
Company
  • Company
  • Users
  • Office
Orders
Orders
  • Orders
  • Change Request
  • Drafts
  • GoToScan
Webhooks
Home
Company
Company
  • Company
  • Users
  • Office
Orders
Orders
  • Orders
  • Change Request
  • Drafts
  • GoToScan
Webhooks
  1. Users
  • Default module
    • Get started
    • Pagination and Offset
    • Company
      • Get company information
      • Delete company webhook
      • Get company package
      • Send a merge request to another company
    • Office
      • List all offices
      • Add new office
    • Users
      • List all users
        GET
      • Add new user
        POST
      • Get user by email
        GET
      • Update user details
        PATCH
      • Change user password
        POST
      • Send password reset link
        POST
      • Delete user
        DELETE
    • Orders
      • List orders
      • Upgrade order
      • Re-deliver order with styling options
      • Get order by ID
      • Get combined PDF document
      • Create a redraw order
    • Change Request
      • Add new change request for an order
      • List all change requests of order
      • Get change request by ID
    • Draft Orders
      • Create a draft order
      • Update a draft order
      • Delete a draft order
    • GoToScan Orders
      • Create a GoToScan order
    • Webhooks
      • About webhooks
      • Update company webhooks
      • /Order status
  • Webhooks calls
    • /Order status
  1. Users

List all users

Prod Env
https://app.cubi.casa/api/integrate/v3
Prod Env
https://app.cubi.casa/api/integrate/v3
GET
/users
List all users in the company account.

Request

Authorization
API Key
Add parameter in header
api-key
Example:
api-key: ********************
or

Responses

🟢200OK
application/json
List of users with pagination
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://app.cubi.casa/api/integrate/v3/users' \
--header 'api-key: <api-key>'
Response Response Example
{
    "pagination": {
        "has_more": true,
        "limit": 0,
        "next_offset": 21,
        "previous_offset": 0
    },
    "items": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "email": "user@example.com",
            "name": null,
            "surname": null,
            "role": "User",
            "email_confirmed": true,
            "created_at": 1760700135.0
        },
        {
            "id": "8b8a99d2-737d-4681-bc16-7ffee5c61fe2",
            "email": "tim@internet.com",
            "name": "Tim",
            "surname": "Berners-Lee",
            "role": "Collaborator",
            "email_confirmed": true,
            "created_at": 1748553783.0
        },
        {
            "id": "6549d877-dde8-45de-b87a-eb68207d0b3c",
            "email": "linus@computer.com",
            "name": "Linus",
            "surname": "Torvalds",
            "role": "User",
            "email_confirmed": true,
            "created_at": 1748551917.0
        }
    ]
}
Modified at 2025-10-27 22:02:28
Previous
Add new office
Next
Add new user
Built with